MetricsControlForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class MetricsControlForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm
                          org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlForm

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AlertMetricsControlForm, CompareMetricsForm, MetricsFilterForm

    public class MetricsControlForm

extends MetricDisplayRangeForm

Represents the common set of controls on various pages that display metrics.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm
`ACTION_DATE_RANGE, ACTION_LASTN, nextRange, prevRange`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`MetricsControlForm()`

Method Summary
`org.apache.struts.util.ImageButtonBean` | `getAdvanced()`
`org.apache.struts.util.ImageButtonBean` | `getEditRange()`
`AppdefEntityID` | `getEntityId()`
`java.util.Map` | `getForwardParams()`
`org.apache.struts.util.ImageButtonBean` | `getRange()`
`java.lang.Long` | `getRb()`
`java.util.Date` | `getRbDate()`
`java.lang.Long` | `getRe()`
`java.lang.Boolean` | `getReadOnly()`
`java.util.Date` | `getReDate()`
`java.util.List` | `getRnMenu()`
`org.apache.struts.util.ImageButtonBean` | `getSimple()`
`boolean` | `isAdvancedClicked()`
`boolean` | `isAnythingClicked()`
`boolean` | `isEditRangeClicked()`
`boolean` | `isRangeClicked()`
`boolean` | `isSimpleClicked()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setAdvanced(org.apache.struts.util.ImageButtonBean b)`
`protected void` | `setDefaults()`
`void` | `setEditRange(org.apache.struts.util.ImageButtonBean b)`
`void` | `setRange(org.apache.struts.util.ImageButtonBean b)`
`void` | `setRb(java.lang.Long l)`
`void` | `setRe(java.lang.Long l)`
`void` | `setReadOnly(java.lang.Boolean b)`
`void` | `setSimple(org.apache.struts.util.ImageButtonBean b)`
`protected boolean` | `shouldValidate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm
`getA, getCtype, getEid, getNextRange, getPrevRange, getRid, getRn, getRu, getType, getWantEndDate, isDateRangeSelected, isLastnSelected, isNextRangeClicked, isPrevRangeClicked, setA, setCtype, setEid, setNextRange, setPrevRange, setRid, setRn, setRu, setType, shouldValidateDateRange, validate`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetricsControlForm

    public MetricsControlForm()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `MetricDisplayRangeForm`

### getAdvanced

    public org.apache.struts.util.ImageButtonBean getAdvanced()

### setAdvanced

    public void setAdvanced(org.apache.struts.util.ImageButtonBean b)

### getEditRange

    public org.apache.struts.util.ImageButtonBean getEditRange()

### setEditRange

    public void setEditRange(org.apache.struts.util.ImageButtonBean b)

### getRange

    public org.apache.struts.util.ImageButtonBean getRange()

### setRange

    public void setRange(org.apache.struts.util.ImageButtonBean b)

### getReadOnly

    public java.lang.Boolean getReadOnly()

### setReadOnly

    public void setReadOnly(java.lang.Boolean b)

### getRb

    public java.lang.Long getRb()

### setRb

    public void setRb(java.lang.Long l)

### getRe

    public java.lang.Long getRe()

### setRe

    public void setRe(java.lang.Long l)

### getSimple

    public org.apache.struts.util.ImageButtonBean getSimple()

### setSimple

    public void setSimple(org.apache.struts.util.ImageButtonBean b)

### isAdvancedClicked

    public boolean isAdvancedClicked()

### isEditRangeClicked

    public boolean isEditRangeClicked()

### isRangeClicked

    public boolean isRangeClicked()

### isSimpleClicked

    public boolean isSimpleClicked()

### isAnythingClicked

    public boolean isAnythingClicked()

### getRbDate

    public java.util.Date getRbDate()

### getReDate

    public java.util.Date getReDate()

### getRnMenu

    public java.util.List getRnMenu()

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `MetricDisplayRangeForm`

### getEntityId

    public AppdefEntityID getEntityId()

### getForwardParams

    public java.util.Map getForwardParams()

### setDefaults

    protected void setDefaults()

  Overrides:
    `setDefaults` in class `MetricDisplayRangeForm`

### shouldValidate

    protected boolean shouldValidate(org.apache.struts.action.ActionMapping mapping,
                                     javax.servlet.http.HttpServletRequest request)

  Overrides:
    `shouldValidate` in class `BaseValidatorForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.